/*
*  $
*  $ FILE     : Open_Close.c
*  $ VERSION  : 1
*  $ REVISION : 2
*  $ DATE     : 08-Dec-93 13:15
*  $
*  $ Author   : mvk
*  $
**
**  The routines in this file open / close Libraries.
**  Also is in the function myCleanExit() the Error handling
**  included.
**
**  (c) by VIONA-Development 92/93
**
*/


/*
**  Opens the libs form the OpenStructType
**  (see global.h)
**
*/

BOOL InitLibraries(struct OpenStructType *OS)
{
 struct OpenStructType *p = &OS[0];

 while (p->Base != NULL)
 {
   if ((*(p->Base) = (ULONG)OpenLibrary(p->Name,p->Version)) == NULL)
       {
	   printf(" Can't open %s version %d",p->Name, p->Version);
	   return FALSE;
       }
       else
       {  p ++; }
 }
   return TRUE;
}


/*
** Close the Libs from the OpenStructType
**
*/
void CloseLibraries(struct OpenStructType *OS)
{
 struct OpenStructType *p = &OS[0];

 while (p->Name != NULL)
 {
	CloseLibrary((void *)(*(p->Base)));
	*(p->Base) = NULL;
	p++;
 }
}
/**/

/*
**  Looks what happend and deallocated / close everything
**  mem, GadCon, fonts etc.
**
*/

void myCleanExit(ULONG ERR)
{
  struct ErrorStructType *e = &ErrorStruct[0];

    if( ERR )
    {
	  while ( e->Err_Msg != NULL )
	  {
	     if( ERR & e->Err_no)
		 printf("%s\n",e->Err_Msg);

	     e++;
	  }
    }

  if ( Window )
    EI_CloseWindow( Window );

  if( GadCon )
    EB_DeleteGadContext( GadCon );

  CloseLibraries(OpenStruct);

 exit(0);
}

