/*
*
*  $
*  $ FILE     : three.c
*  $ VERSION  : 1
*  $ REVISION : 38
*  $ DATE     : 08-Dec-93 13:15
*  $
*  $ Author   : mvk
*  $
*
**
**
** This demo showes your how to make different Box in a window
**
** The program will create a window with the following boxes.
**
**
** #########################################
** #                                 +     #
** #                                 +     #
** #                                 +     #
** #      Text                       +     #
** #                                 +     #
** #                                 +     #
** #                                 +     #
** #                                 + v   #
** #                                 + b   #
** #                                 + o   #
** #                                 + x   #
** #                                 +     #
** #                                 +     #
** #                                 +     #
** #++++++++++++++++++++++++++++++++++     #
** #       hbox                      +     #
** #########################################
**   \\\\\\\\\\\\////////////////////
**            in vbox
**
**  \                                   /
**    \                                /
**      \\\\\\\\\\\\\//////////////////
**               in hbox1
**
**  (c) by VIONA-Development 92/93
**
*/

/*
**
** This function are for all example the same
**
*/

#include "Includes.c"
#include "Global.h"
#include "Open_Close.c"
#include "Eventloop.c"

/**/


/*
**
** I this function creates the Gadget with egsgadbox.library
**
*/

EI_WindowPtr My_CreateGads(EI_WindowPtr Window)
{
     EB_GadBoxPtr   root,vbox,vbox1,hbox,hbox1;
     EB_StrArray    gad={"String1","String2",NULL};

     EB_StrArray    Texts = { "This is a demonstration",
			      "of the egsgadbox.library !",
			      "It supports all different ",
			      "types of gadgets and ",
			      "scable by sizing the window.",
			      NULL };
     /*
     **
     **  Create Gadget ( CadContext GadCon see global.h )
     **
     */

      if( (GadCon=EB_CreateGadContext(NULL,NULL,-1,-1)) == NULL)
	  myCleanExit(ERR_NOMEM);

	/*
	** Create a Horizontal or Vertical box
	*/

	vbox  = EB_CreateVertiBox( GadCon );
	vbox1 = EB_CreateVertiBox( GadCon );
	hbox  = EB_CreateHorizBox( GadCon );
	hbox1 = EB_CreateHorizBox( GadCon );

	if( vbox == NULL || hbox == NULL || hbox1 == NULL)
	  myCleanExit(ERR_NOMEM);

	/*
	**  Add in the Horiz Box a MarkGadget (EI_BoolGadget)
	*/

	EB_AddLastSon( hbox, EB_CreateCheckMarkGadget(GadCon,MY_CHECK)  );
	EB_AddLastSon( hbox, EB_CreateCheckMarkGadget(GadCon,MY_CHECK+1));

	/*
	**  Add A ButtonGadget on the Horiz Box hbox1
	*/

	EB_AddLastSon( hbox, EB_CreateButtonGadget(GadCon,MY_BUTTON) );
	EB_AddLastSon( hbox, EB_CreateButtonGadget(GadCon,MY_BUTTON+1) );

	/*
	**  Add a MultiActionGadget on a Vertical Box
	*/

	EB_AddLastSon( vbox, EB_CreateBoxedMultiText(GadCon, &Texts));

	EB_AddLastSon( vbox,EB_CreateVertiFill( GadCon, EB_FILL_ALL,0));

	EB_AddLastSon( vbox, EB_CreateMultiAction( GadCon, &gad, MY_ACTION,
							       EB_FILL_ALL));

	EB_AddLastSon( vbox,EB_CreateVertiFill( GadCon, EB_FILL_ALL,0));

	EB_AddLastSon( vbox, EB_CreateTextBoolean( GadCon, "Name !",
							       MY_TEXTBOOL,
							       EB_FILL_ALL));

	EB_AddLastSon( vbox,EB_CreateVertiFill( GadCon, EB_FILL_ALL,0));

	/*
	**  Add a SuperVertiPropGadget oa a Vertical Box
	*/

	EB_AddLastSon( vbox1,
	EB_CreateSuperVertiProp( GadCon,120,20,10, MY_PROP,
					      EB_INC_BOTTOM_RIGHT |
					      EB_DEC_BOTTOM_RIGHT));
	/*
	**
	** Add the horiz box  (hbox and hbox1) an the
	** vertical box vbox1 on the Verti Box
	**
	*/
	EB_AddLastSon( vbox,hbox );
	EB_AddLastSon( hbox1,vbox  );

	EB_AddLastSon( hbox1,EB_CreateHorizFill( GadCon, EB_FILL_ALL,0));

	EB_AddLastSon( hbox1,vbox1 );

	/*
	**
	** Create the window in GadContext where the gadget
	**
	*/

	root = EB_CreateMasterWindow(GadCon,Window,hbox1);

	/*
	**
	** ProcessGadBoxes calculate everything for the Gadget(s) (Positions)
	**
	*/

	if( EB_ProcessGadBoxes(GadCon,root) )
	{
	  /*
	  **  Filling in the EI_NewWindow structure
	  */

	  /*
	  **  The we open the window with the Context
	  */

	  if( Window == NULL )
	    {
						  /* Add more flags to the window */
	      GadCon->NewWin->Title = "three";

	      GadCon->NewWin->IDCMPFlags          = EI_iCLOSEWINDOW  |
						    EI_iGADGETUP;

	      GadCon->NewWin->Bordef.SysGadgets  |= ( EI_WINDOWCLOSE );

	      Window = EI_OpenWindow( GadCon->NewWin );

	    }

	  return(Window);
	}
    return(NULL);
}



int main(int argc, char *argv[])
{
     /*
     **   Open Library
     **
     */

     if ( InitLibraries(OpenStruct) == FALSE )
	  myCleanExit( ERR_LIBS );

	  Window=My_CreateGads(Window);

	  if( Window )
	    {
		 /*
		 **  Handels IDCMP events (like Commodore)
		 */

		 HandleEvents( Window );

	     }else{ myCleanExit( ERR_WINDOW );}

      myCleanExit( NULL ) ;
}



