/*
*  $
*  $ FILE     : Programmieren:C-work/EGS-Beispiele/Eventloop.c
*  $ VERSION  : 1
*  $ REVISION : 2
*  $ DATE     : 16-Mar-93 17:52
*  $
*  $ Author   : mvk
*  $
*
**
**  (c) by VIONA-Development 1992/93
**
*/


BOOL HandleEvents(struct EI_Window *win)
{
 BOOL  done = FALSE;         /* TRUE, if ready */
 ULONG GetBits,WaitBits;     /* MessagePort-Bits */
 EI_EIntuiMsgPtr  imess;     /* Message struct pointer */

 WaitBits = (1L << win->UserPort->mp_SigBit) | SIGBREAKF_CTRL_C;

 while (!done)
 {
  GetBits = Wait(WaitBits);

  if (GetBits & SIGBREAKF_CTRL_C) /* CTRL-C gedrckt */
  {
        done = TRUE;
  }

  while ((imess = (struct EI_EIntuiMsg *)GetMsg(win->UserPort)) != NULL)
  {
        switch (imess->Class)
        {
          case EI_iCLOSEWINDOW:
                    printf("iClose\n");
                    ReplyMsg ((struct Message *)imess);
                    done = TRUE;
                    break;

          case  EI_iGADGETUP       :
          {
                    EGB_TwoDimPropGadPtr  tdpg;
                    tdpg=(EGB_TwoDimPropGadPtr)imess->IAddress;

                    printf("Gadget \n");

                    printf(" code   = %d \n",imess->Code);
                    printf(" ID     = %d \n",tdpg->Class.Class.GadgetID);
                    printf(" HValue = %d \n",tdpg->HValue);
                    printf(" VValue = %d \n",tdpg->VValue);

                    ReplyMsg((struct Message *)imess);
          }
          break;

        }
  }
 }
 return done;
}

