/*
** Autor: Markus van Kempen
** Date : 18. Dezember 1992
**
** Global Variablen & Structure
**
**
** See myopen.c
**
**/

#include "includes.c"
#include "protos.h"
/*
**    DEFINE's
**
*/

/**** Define's for Window *****/

/*
**   Window system Gadgets
**
*/

#define myWinGtmp (EI_WINDOWDRAG  | EI_WINDOWSIZE )
#define myWinGads (EI_WINDOWCLOSE | EI_WINDOWBACK | myWinGtmp )
#define mywf1     (EI_FRONTBACKGADGET | EI_WINDOWCENTER)
#define mywf2     (EI_SIZEBBOTTOM | EI_GIMMEZEROZERO | mywf1)
#define myWinFlags  (EI_WINDOWACTIVE | EI_WINDOW_MENULOCAL | mywf2)
#define myif      (EI_iGADGETUP | EI_iMENUPICK | EI_iSIZEVERIFY)
#define myEdcmpFlags  (EI_iCLOSEWINDOW | EI_iNEWSIZE | myif)

/*
**
**  Global Variblen
**
*/

int                 dummy;
EI_MenuPtr          Menu        =NULL;
EG_EFontPtr         FontforMenu =NULL;
EG_EFontPtr         FontforGad  =NULL;
EG_EFontPtr         FontforScr  =NULL;
struct EI_Window    *Window     =NULL;
ER_SimpleReqPtr     ErrorReq    =NULL;
EB_GadContext       con         =NULL;

/*
**  myopen()
*/

struct OpenStructTyp
{
	ULONG* Var;
	char * Name;
	ULONG  Version;
};

/*
 * The EGS Lib-Bases
 *
 */

struct Library *EGSBase;
struct Library *EGSBlitBase;
struct Library *EGSLayersBase;
struct Library *EGSGfxBase;
struct Library *EGSIntuiBase;
struct Library *EGBBase;
struct Library *EGSRequestBase;
struct Library *EGBMenuSelectBase;
struct Library *EGBRadioBase;
struct Library *EGBScrollBase;
struct Library *EGBSelectBase;
struct Library *EGBSetBase;
struct Library *EGBTextInfoBase;

/********************************************/

struct OpenStructTyp OpenStruct[] =
{
  { (ULONG*) &EGSBase          , "egs.library",0               },
  { (ULONG*) &EGSBlitBase      , "egsblit.library",0           },
  { (ULONG*) &EGSLayersBase    , "egslayers.library",0         },
  { (ULONG*) &EGSGfxBase       , "egsgfx.library",0            },
  { (ULONG*) &EGSIntuiBase     , "egsintui.library",0          },
  { (ULONG*) &EGBBase          , "egsgadbox.library",0         },
  { (ULONG*) &EGSRequestBase   , "egsrequest.library",0         },
  { (ULONG*) &EGBMenuSelectBase, "egb/gbmenuselect.library",0  },
  { (ULONG*) &EGBRadioBase     , "egb/gbradio.library",0       },
  { (ULONG*) &EGBScrollBase    , "egb/gbscrollbox.library",0   },
  { (ULONG*) &EGBSelectBase    , "egb/gbselect.library",0      },
  { (ULONG*) &EGBSetBase       , "egb/gbsets.library",0        },
  { (ULONG*) &EGBTextInfoBase  , "egb/gbtextinfo.library",0    },
  { 0L,0L,0L }
};





