#ifndef CLIB_EGSREQUEST_PROTOS_H
#define CLIB_EGSREQUEST_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : egsrequest_protos.h
*  $ VERSION  : 1
*  $ REVISION : 26
*  $ DATE     : 08-Dec-93 13:47
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSREQUEST_H
#include        <egs/egsrequest.h>
#endif

ER_ReqContextPtr ER_CreateReqContext(void);
void ER_DeleteReqContext(ER_ReqContextPtr con);
ER_RequestPtr ER_FindRequest(ER_ReqContextPtr con,EI_EIntuiMsgPtr msg);
LONG ER_DoRequest(ER_RequestPtr req);
LONG ER_OpenRequest(ER_RequestPtr req,EI_WindowPtr win);
LONG ER_IterateRequest(ER_RequestPtr req,EI_EIntuiMsgPtr msg);
void ER_CancelRequest(ER_RequestPtr req);
void ER_DeleteRequest(ER_RequestPtr freq);
void ER_ChangeRequestPos(ER_RequestPtr req,WORD x,WORD y);
void ER_ChangeRequestSize(ER_RequestPtr req,WORD w,WORD h);

ER_FileRequestPtr ER_CreateFileReq(ER_ReqContextPtr con);

void ER_PutValuesInFileReq(ER_FileRequestPtr freq,
			   char *name,char *path,char *pattern);

ER_SimpleReqPtr ER_CreateSimpleReq(ER_ReqContextPtr con,
			   char *tt,char *key);

ER_ScrModeReqPtr ER_CreateScrModeReq(ER_ReqContextPtr con);
void ER_PutValuesInScrModeReq(ER_ScrModeReqPtr f,char *mode,WORD detph);
ER_FontReqPtr ER_CreateFontReq(ER_ReqContextPtr con);
void ER_PutValuesInFontReq(ER_FontReqPtr f,struct TextAttr *attr);

#endif /* CLIB_EGSREQUEST_PROTOS_H */

