#ifndef CLIB_EGB_GBRADIO_PROTOS_H
#define CLIB_EGB_GBRADIO_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : gbradio_protos.h
*  $ VERSION  : 1
*  $ REVISION : 2
*  $ DATE     : 22-Mar-93 01:32
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/93 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif
#ifndef         EGS_EGB_GBRADIO_H
#include        <egs/egb/gbradio.h>
#endif

EB_GadBoxPtr EGB_CreateRadioGadget(EB_GadContext con,
				  EB_StrArrayPtr names,
				  WORD height, LONG id);

void EGB_ModifyRadioGadget(EI_WindowPtr win,
			   EI_GadgetPtr gad, LONG data);

void EGB_OnRadioElems(EI_WindowPtr win,
		      EI_GadgetPtr gad,
		      ULONG        elems);

void EGB_OffRadioElems(EI_WindowPtr win,
		       EI_GadgetPtr gad,
		       ULONG        elems);
#endif /* CLIB_EGB_GBRADIO_PROTOS_H */

