#ifndef EGS_EGB_GBVIEW_H
#define EGS_EGB_GBVIEW_H

/***************************************************************************\
*
*  $
*  $ FILE     : gbview.h
*  $ VERSION  : 1
*  $ REVISION : 5
*  $ DATE     : 08-Dec-93 12:50
*  $
*  $ Author   : mvk
*  $
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif

#define EGB_ViewType "VIEW"

#define EGB_ViewScrollLeft    0x00000001
#define EGB_ViewScrollRight   0x00000002
#define EGB_ViewScrollTop     0x00000004
#define EGB_ViewScrollBottom  0x00000008
#define EGB_ViewScrollArrows  0x00000010
#define EGB_ViewDoNotScroll   0x00000020


struct EGB_ViewInfo {
    	  APTR                    Call;
	      APTR                    Data;
	      WORD                    Width,Height;
	      WORD                    Zoom;
	      WORD                    Pad;
};

typedef struct EGB_ViewInfo *EGB_ViewInfoPtr;


struct EGB_ViewGadget {
       struct EI_MasterGadget  Master;
       ULONG                   VFlags;
       EI_PropGadPtr           HProp;
       EI_PropGadPtr           VProp;
       WORD                    DispX;
       WORD                    DispY;
       EI_MasterGadPtr         Box;
       EB_GadContext           Con;
       EGB_ViewInfoPtr         Info;
};

typedef struct EGB_ViewGadget *EGB_ViewGadPtr;

struct EGB_FillData {
  	    EG_RastPortPtr          RPort;
	      EGB_ViewGadPtr          Gad;
       WORD                    Sx,Sy;
       WORD                    W,H;
       WORD                    Dx,Dy;
};

typedef struct EGB_FillData *EGB_FillDataPtr;

#endif /* EGS_EGB_GBVIEW_H */

