/*
 * gfx.rexx
 *
 * by A. Pratsch
 *
 * this ARexx script is freely distributable
 *
 * Demonstration of the graphic commands of Dia
 *
 * (dieses Demo wurde fr eine Auflsung von 768x576
 *  konzipiert)
 */
ADDRESS "rainbow"

setstdfont

main:
	DMODE 0								/* Zeichenmodus einstellen */
	COLOR 0 0 0
	CLEARSCREEN
	do i=0 to 100 by 2
		color i*2 i*2 i*2		/* Farbe einstellen r g b */
		Draw 284+i 300-i		/* Punkt bei 284+i, 300-i zeichnen */
		Draw 484-i 300-i
		Draw 384-i 200+i
		Draw 384+i 200+i
	
		Draw 285+i 300-i
		Draw 485-i 300-i
		Draw 385-i 200+i
		Draw 385+i 200+i
	
		Draw 286+i 300-i
		Draw 486-i 300-i
		Draw 386-i 200+i
		Draw 386+i 200+i
	
		Draw 334+i 249
		Draw 334+i 250
		Draw 334+i 251
	
		Draw 434-i 249
		Draw 434-i 250
		Draw 434-i 251
	end
	COLOR 250 250 250
	MOVE 256 320				/* Cursor nach 256, 320 bewegen */
	TEXT "a little Dia presentation..."	/* Text darstellen */
	DELAY 100											/* 2 Sekunden warten */
	b=255
	do i=0 to 576 by 3					/* Hintergrund zeichnen (blauer Himmel)*/
		COLOR 100 100 b
		BOX 0 i 768 3
		b=b-1
	end
	do i=1 to 30 by 1						/* Sonne zeichnen */
		COLOR (130+(30-i)*4) (130+(30-i)*4) 100
		ELLIPSE 99 100 i i				/* Radius i,i => Kreis mit Radius i */
		ELLIPSE 100 99 i i
		ELLIPSE 100 100 i i
		ELLIPSE 100 101 i i
		ELLIPSE 101 100 i i
	end
	
	COLOR 40 40 40
	BOX 0 350 768 200
	COLOR 250 250 250
	BOX 0 350 768 7
	BOX 0 545 768 7
	do i=0 to 718 by 100
		BOX i 450 50 5
	end
	COLOR 200 100 100
	x=200; y=303
	call auto
	COLOR 200 200 100
	x=300; y=403
	call auto

	dmode 0

	COLOR 0 0 0
	MOVE 400 100
	TEXT "Dies ist eine Demonstration"
	MOVE 400 110
	TEXT "der Fhigkeiten von Rainbow Dia"
	
	COLOR 250 250 250
	MOVE 399 99
	TEXT "Dies ist eine Demonstration"
	MOVE 399 109
	TEXT "der Fhigkeiten von Rainbow Dia"
	
	REQUESTNOTIFY "Dies war ein Demo|von A. Pratsch"
return

auto:
	BOX 75+x 50+y 300 50
	do i=0 to 5 by 1
		LINE 150+x+i 50+y   200+x+i y
		LINE 200+x   y+i    250+x   y+i
		LINE 250+x-i y      300+x-i 50+y
	end
	BOX 225+x y 5 50
	do i=1 to 20 by 1
		if i<13 then
			COLOR 100 100 100
		else
			COLOR 10 10 10
	
		ELLIPSE 124+x 100+y i i
		ELLIPSE 125+x 99+y i i
		ELLIPSE 125+x 100+y i i
		ELLIPSE 125+x 101+y i i
		ELLIPSE 126+x 100+y i i
		ELLIPSE 324+x 100+y i i
		ELLIPSE 325+x 99+y i i
		ELLIPSE 325+x 100+y i i
		ELLIPSE 325+x 101+y i i
		ELLIPSE 326+x 100+y i i
	end
	BOX 375+x 93+y 10 4
return


