/*
 * text.rexx
 *
 * by A. Pratsch
 *
 * this ARexx script is freely distributable
 *
 * Demonstration of the text commands of Dia
 */

underline=1
bold=2
italic=4

ADDRESS "rainbow"

DMODE 0
COLOR 0 0 0
CLEARSCREEN

COLOR 255 255 255
PRECLEAR NO

MOVE 50 50
SFNAME "times.font"		/* times font whlen */

SETFONT 11 underline /* Gre 11 => times/11 */
do i=0 to 9
	COLOR 100+i*15 150+i*10 200+i*5
	TEXT "Times 11 underlined"
end
MOVE 50 60
SETFONT 13 bold
TEXT "Times 13 bold"
SETFONT 15 italic
TEXT "Times 15 italic"
SETFONT 18 underline italic
TEXT "Times 18 underlined italic"

MOVE 50 150
SFNAME "courier.font"

SETFONT 11
do i=0 to 9
	COLOR 200+i*5 150+i*10 100+i*15
	TEXT "Courier 11"
end
MOVE 50 160
SETFONT 13
TEXT "Courier 13"
SETFONT 15
TEXT "Courier 15"
SETFONT 18
TEXT "Courier 18"

MOVE 250 240
SETSTDFONT							/* EGS-Font einstellen */
TEXT "EGS Font"
do i=0 to 30
	COLOR 180+i*2 100+i*3 50+i*5
	MOVE 50 250+i*9
	TEXT "Alexander Pratsch prsentiert die Fhigkeiten Rainbow Dia's"
end

SFNAME "times.font"
SETFONT 18
do i=0 to 100
	MOVE 200+i 400+i
	COLOR 150+i 150+i i*2
	dmode 0
	TEXT "Feel the Color, and wait..."
end
MOVE 300 500
COLOR 0 0 0
TEXT "Feel the Color, and wait..."
MOVE 301 501
COLOR 250 20 20
TEXT "Feel the Color, and wait..."

SFNAME "courier.font"
SETFONT 24
do i=0 to 200 by 30
	COLOR 0 0 0
	MOVE 502 202+i
	TEXT "Isn`t it nice??"
	COLOR 255 255 255
	MOVE 500 200+i
	TEXT "Isn`t it nice??"
end

