/**
 **  Prototypes for egs.library
 **
 **  Created: 14. July 1992   mvk
 **  Changed: 14. July 1992
 **
 **/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGS_H
#include        <egs/egs.h>
#endif

E_EScreenPtr E_OpenScreen (struct E_NewEScreen *scr);
void E_CloseScreen (E_EScreenPtr scr);
void E_MouseOn (E_EScreenPtr scr);
void E_MouseOff (E_EScreenPtr scr);
void E_ModifyMouse (E_EScreenPtr scr, E_EMousePtr mouse);
void E_ScreenToFront (E_EScreenPtr scr);
void E_ScreenToBack (E_EScreenPtr scr);
void E_ActivateEGSScreen (void);
void E_ActivateAmigaScreen (void);
void E_ModifyEDCMP (E_EScreenPtr scr, UWORD flags);
void E_DisposeBitMap (E_EBitMapPtr map);
void E_ClearBitMap (E_EBitMapPtr map);
void E_SetMouseExcept (APTR callMe, APTR data);         /* PRIVATE */
void E_ResetMouseExcept (void);                         /* PRIVATE */
void E_SetRGB8 (E_EScreenPtr scr, UWORD reg, UWORD red,
        UWORD green, UWORD blue);
ULONG E_GetRGB8 (E_EScreenPtr scr, WORD reg);
void E_SetRGB8CM (E_EScreenPtr scr, E_CLUPtr colors,
          WORD start, WORD num);
void E_GetRGB8CM (E_EScreenPtr scr, E_CLUPtr colors,
          WORD start, WORD num);
E_EBitMapPtr E_FlipMap (E_EScreenPtr scr, E_EBitMapPtr map);
E_HardInfoPtr E_GetHardInfo (void);
void E_WaitTOF (void);
E_EBitMapPtr E_AllocBitMap (UWORD width, UWORD height, UWORD depth,
                ULONG type, ULONG flags, E_EBitMapPtr friend);


