/**
 **  Prototypes for gbscrollbox.library
 **
 **  Created: 03. Aug 1992   US
 **  Changed: 03. Aug 1992
 **
 **/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif
#ifndef         EGS_EGSGFX_H
#include        <egs/egsgfx.h>
#endif

EB_GadBoxPtr EGB_CreateLateScrollBox(EB_GadContext con, WORD minWidth,
                                WORD maxWidth, WORD minHeight,
                                WORD maxHeight, ULONG sort, LONG id);

void EGB_AddItemToScrollBox(EI_WindowPtr win,
                            EI_GadgetPtr gad, struct Node *item);
void EGB_AddListToScrollBox(EI_WindowPtr win,
                            EI_GadgetPtr gad, struct List *list);

void EGB_RemItemFromScrollBox(EI_WindowPtr win,
                              EI_GadgetPtr gad, struct Node *item);

void EGB_UpdateScrollBox(EI_WindowPtr win, EI_GadgetPtr gad);

void EGB_RemListFromScrollBox(EI_WindowPtr win, EI_GadgetPtr gad,
                               struct List *list);

void EGB_NextElem(EI_WindowPtr win, EI_GadgetPtr gad);

void EGB_PrevElem(EI_WindowPtr win, EI_GadgetPtr gad);

void EGB_ActivateElem(EI_WindowPtr win, EI_GadgetPtr gad, struct Node *item);

void EGB_SetTopElem(EI_WindowPtr win, EI_GadgetPtr gad, struct Node *item);

void EGB_LinkStringToScroll(EI_GadgetPtr scroll, EI_StringGadPtr string);


