/*
*
*  $
*  $ FILE     : Gadgets.c
*  $ VERSION  : 1
*  $ REVISION : 15
*  $ DATE     : 08-Dec-93 13:15
*  $
*  $ Author   : mvk
*  $
*
**
**
**
** This is a demo program about EGS Gadget.
**
** Here is shown how you get/put the messages form/in the gadgets.
** This is necessary if you size the window, because after sizing you
** create nes Gadgets but happens with the state from the old Gadgets ?
**
** So you must save the state form the old Gadgets (GetGadgetsData) and
** befor you add the new Gadgets to the window you must put
** (PutGadgetData) the old gadget state in the new Gadgets.
**
**  (c) by VIONA-Development 92/93 and 94....
**
*/

#include "Includes.c"
#include "Global.h"
#include "Open_Close.c"
#include "Eventloop.c"

/**/


APTR My_FindGadget(EB_GadContext GadCon,WORD ID)
{
	/*
	** MasterGadPtr because the window is create with
	** EB_CreateMasterWindow function
	*/
	return( EB_FindGadget(
		((EI_MasterGadPtr)GadCon->First)->FirstSon,
		((EI_MasterGadPtr)GadCon->First)->NumSons,ID));
}

/*
**
** This function gets the data form all gadgets
** and puts it in a structure
**
*/
void GetGadgetData(EB_GadContext GadCon)
{
	APTR          gadget;

       // 2 DProp

       gadget = My_FindGadget(GadCon,MY_2DPROP);

       if( gadget != NULL )
       {
	   GadData.tdpg_HValue=((EGB_TwoDimPropGadPtr)gadget)->HValue;
	   GadData.tdpg_VValue=((EGB_TwoDimPropGadPtr)gadget)->VValue;
       }

      // MY_STR:

      gadget = My_FindGadget(GadCon,MY_STR);

      if( gadget != NULL )
      {
	  EB_GetStringData((EI_GadgetPtr)gadget,GadData.strg_Value);
      }

      // MY_INT:

      gadget = My_FindGadget(GadCon,MY_INT);

      if( gadget != NULL )
      {
	  GadData.intg_Value=((EI_IntGadPtr)gadget)->Value;
      }

      // MY_BUTTON:

      gadget = My_FindGadget(GadCon,MY_BUTTON);

      if( gadget != NULL )
      {
	  GadData.butg_Flag=((EI_BoolGadPtr)gadget)->Flag;
      }

      // MY_CHECK:

      gadget = My_FindGadget(GadCon,MY_CHECK);

      if( gadget != NULL )
      {
	  GadData.mark_Flag=((EI_BoolGadPtr)gadget)->Flag;
      }

      // MY_ACTION:

      gadget = My_FindGadget(GadCon,MY_ACTION);

      if( gadget != NULL )
      {
		  GadData.act1_Flag=((EI_BoolGadPtr)gadget)->Flag;
      }

      // MY_ACTION+1:

      gadget = My_FindGadget(GadCon,MY_ACTION+1);

      if( gadget != NULL )
      {
	  GadData.act2_Flag=((EI_BoolGadPtr)gadget)->Flag;
      }

      // MY_TEXTBOOL:

      gadget = My_FindGadget(GadCon,MY_TEXTBOOL);

      if( gadget != NULL )
      {
	  GadData.act2_Flag=((EI_BoolGadPtr)gadget)->Flag;
      }

      // MY_PROP:

      gadget = My_FindGadget(GadCon,MY_PROP);

      if( gadget != NULL )
      {
	  GadData.prop_Value=((EB_SPropGadPtr)gadget)->RealProp->Value;
      }

}


/*
**
** This function put the data in form the GadData structure
** into the gadget structure form the Context
**
*/
void PutGadgetData(EB_GadContext GadCon)
{
	EI_GadgetPtr  gadget;

	// MY_2DPROP:

	gadget = My_FindGadget(GadCon,MY_2DPROP);

	if( gadget != NULL )
	{
	    ((EGB_TwoDimPropGadPtr)gadget)->HValue=
					    GadData.tdpg_HValue;

	    ((EGB_TwoDimPropGadPtr)gadget)->VValue=
					    GadData.tdpg_VValue;
	/*
	     EGB_ModifyTwoDPropGadget(Window,gadget,
				      110,10,GadData.tdpg_VValue,
				      110,10,GadData.tdpg_HValue);
	*/
	}


	// MY_STR:

	gadget = My_FindGadget(GadCon,MY_STR);

	if( gadget != NULL )
	{
	    EB_PutStringData(NULL,(EI_GadgetPtr)gadget,GadData.strg_Value);
	}

	// MY_INT:

	gadget = My_FindGadget(GadCon,MY_INT);

	if( gadget != NULL )
	{
	    EB_PutIntData(NULL,(EI_GadgetPtr)gadget,GadData.intg_Value);
	}

	// MY_BUTTON:

	gadget = My_FindGadget(GadCon,MY_BUTTON);

	if( gadget != NULL )
	{
	    ((EI_BoolGadPtr)gadget)->Flag=GadData.butg_Flag;
	}

	// MY_CHECK:

	gadget = My_FindGadget(GadCon,MY_CHECK);

	if( gadget != NULL )
	{
	    ((EI_BoolGadPtr)gadget)->Flag=GadData.mark_Flag;
	}

	// MY_ACTION:

	gadget = My_FindGadget(GadCon,MY_ACTION);

	if( gadget != NULL )
	{
	    ((EI_BoolGadPtr)gadget)->Flag=GadData.act1_Flag;
	}

	// MY_ACTION+1:

	gadget = My_FindGadget(GadCon,MY_ACTION+1);

	if( gadget != NULL )
	{
	    ((EI_BoolGadPtr)gadget)->Flag=GadData.act2_Flag;
	}

	// MY_TEXTBOOL:

	gadget = My_FindGadget(GadCon,MY_TEXTBOOL);

	if( gadget != NULL )
	{
	    ((EI_BoolGadPtr)gadget)->Flag=GadData.act2_Flag;
	}

	// MY_PROP:

	gadget = My_FindGadget(GadCon,MY_PROP);

	if( gadget != NULL )
	{
	    ((EB_SPropGadPtr)gadget)->RealProp->Value=GadData.prop_Value;
	}
}



/*
**
** This function creates the Gadgets using the egsgadbox.library
**
*/

EI_WindowPtr My_CreateGads(EI_WindowPtr Window)
{
     EB_GadBoxPtr   hbox,root;
     EB_GadBoxPtr   hbox1;
     EB_GadBoxPtr   hbox2;
     EB_GadBoxPtr   vbox;
     EB_StrArray     gad= { "String1","String2",NULL};


      if( (GadCon=EB_CreateGadContext(NULL,NULL,-1,-1)) == NULL)
	  myCleanExit(ERR_NOMEM);


	hbox   = EB_CreateHorizBox(GadCon);
	hbox1  = EB_CreateHorizBox(GadCon);
	hbox2  = EB_CreateHorizBox(GadCon);

	vbox   = EB_CreateVertiBox(GadCon);

	EB_AddLastSon( hbox, EGB_CreateTwoDPropGadget(GadCon,110,10,
						     0, //GadData.tdpg_HValue,
						     110,10,
						     0, //GadData.tdpg_VValue,
						     MY_2DPROP) );


	EB_AddLastSon( vbox,hbox );

	EB_AddLastSon(vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon(hbox1, EB_CreateMultiAction(GadCon,&gad,MY_ACTION,EB_FILL_ALL));
	EB_AddLastSon(hbox1, EB_CreateButtonGadget(GadCon,MY_BUTTON));
	EB_AddLastSon(hbox1, EB_CreateCheckMarkGadget(GadCon,MY_CHECK));

	EB_AddLastSon(vbox,hbox1);
	EB_AddLastSon(vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon(hbox2, EB_CreateSuperHorizProp(GadCon,120,20,10,MY_PROP,
    EB_INC_BOTTOM_RIGHT|EB_DEC_BOTTOM_RIGHT));

	EB_AddLastSon( vbox,hbox2 );

	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon( vbox, EB_CreateNameIntegerGadget( GadCon,"Integer",4,3,MY_INT ));


	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon( vbox, EB_CreateNameStringGadget( GadCon,"String",10,12,
							 EI_JUSTIFY_CENTER,MY_STR ));

	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon( vbox, EB_CreateBoxedMultiText( GadCon,&gad) );

	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon( vbox, EB_CreateBackBorder( GadCon,
			     EB_CreateCenterText( GadCon,"Das ist Deutsch !"),1) );

	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_ALL,0) );

	EB_AddLastSon( vbox, EB_CreateTextBoolean( GadCon,"Name !",MY_TEXTBOOL,EB_FILL_ALL) );

	EB_AddLastSon( vbox, EB_CreateVertiFill( GadCon,EB_FILL_BOTTOM,0) );

	root = EB_CreateGroupBorder(GadCon,vbox,EB_FILL_ALL,"Hello");

	root = EB_CreateMasterWindow(GadCon,Window,root);

	if( EB_ProcessGadBoxes(GadCon,root) )
	{
	  /*
	  **  Filling in the EI_NewWindow structure
	  */

	  if( Window == NULL )
	    {
						  /* Add more flags to the window */
	      GadCon->NewWin->Title = "Titel";

	      GadCon->NewWin->IDCMPFlags          = EI_iCLOSEWINDOW  |
						    EI_iNEWSIZE      |
						    EI_iSIZEVERIFY   |
						    EI_iMOUSEBUTTONS |
						    EI_iGADGETUP;

	      GadCon->NewWin->Bordef.SysGadgets
|= ( EI_WINDOWCLOSE | EI_WINDOWSIZE );

	      GadCon->NewWin->Flags |= (EI_SIZEBRIGHT);

	      Window = EI_OpenWindow( GadCon->NewWin );

	    }else{ PutGadgetData( GadCon ); }

	  return(Window);
	}
    return(NULL);
}

int main(int argc, char *argv[])
{
      if ( InitLibraries(OpenStruct) == FALSE )
	  myCleanExit( ERR_LIBS );

	  Window=My_CreateGads(Window);

	   if( Window )
	    {
		 HandleEvents( Window );

	     }else{ myCleanExit( ERR_WINDOW );}



      myCleanExit( NULL ) ;
}



