/*
**  Author: Markus van Kempen
**  Date  : 8 November 92
**
**
**  This routine handle events (like Commodore)
**
**  (c) by VIONA-Development 1992/93
**
*/


BOOL
HandleEvents(struct EI_Window * window)
{
    BOOL            raus = FALSE;       /* TRUE, wenn die Funktion verlassen werden soll */
    ULONG           GetBits, WaitBits;  /* MessagePort-Bits */
    EI_EIntuiMsgPtr imess;              /* Message-Struktur-Pointer */

    WaitBits = (1L << window->UserPort->mp_SigBit) | SIGBREAKF_CTRL_C;

    while (!raus)
    {
	GetBits = Wait(WaitBits);

	if (GetBits & SIGBREAKF_CTRL_C) /* CTRL-C gedrckt */
	{
	    raus = TRUE;
	}

	while ((imess = (struct EI_EIntuiMsg *) GetMsg(window->UserPort)) != NULL)
	{
	    switch (imess->Class)
	    {
	    case EI_iRAWKEY:
		printf("iRawKey\n");
		ReplyMsg((struct Message *) imess);
		break;

	    case EI_iCLOSEWINDOW:

		printf("iClose\n");

		ReplyMsg((struct Message *) imess);
		raus = TRUE;
		break;

	    case EI_iMENUVERIFY:
		printf("iMenuVerify\n");
		ReplyMsg((struct Message *) imess);
		break;

	    case EI_iMENUPICK:

		printf("iMenu\n");
		printf("Code = %lx\n", imess->Code);
		/*

		    switch(imess->Code)
		    {

		    }


		 */
		ReplyMsg((struct Message *) imess);
		break;


	    case EI_iSIZEVERIFY:

		printf("VerifySizing ! \n");

		ReplyMsg((struct Message *) imess);
		break;

	    case EI_iNEWSIZE:

		printf("Sizing ! \n");

		ReplyMsg((struct Message *) imess);
		break;

	    case EI_iGADGETUP:
		printf("Gadget \n");
		ReplyMsg((struct Message *) imess);
		break;

	    default:
	      //  printf(" Unknown message %x & %x\n ", imess->Class, imess->Code);
		ReplyMsg((struct Message *) imess);

	    }
	}
    }
    return raus;
}
