/*
*
*  $
*  $ FILE     : Fontreq.c
*  $ VERSION  : 1
*  $ REVISION : 18
*  $ DATE     : 12-Dec-93 19:23
*  $
*  $ Author   : mvk
*  $
*
**
** This is a demo program about EGS requester.library.
**
** It shows you how to open and handle a EGS-Font requester.
**
**
**
*/

#include "Includes.c"
#include "Global.h"
#include "Open_Close.c"

/**/

int main(int argc, char *argv[])
{
     ER_ReqContextPtr rCon;
     ER_FontReqPtr    freq;
     BOOL             done;
     struct TextAttr  font={"times.font",24,0,0};
     char             *Title="FontRequester";
     /*
     **   Open Libraries
     */

     if ( InitLibraries(OpenStruct) == FALSE )
          myCleanExit( ERR_LIBS );

    if ( rCon = ER_CreateReqContext()  )
      {
         if ( freq = ER_CreateFontReq(rCon)  )
          {
            freq->Req.Title         = Title;
            freq->Req.Nw->LeftEdge  = 100;
            freq->Req.Nw->TopEdge   = 100;

            freq->ExtReqFlags=ER_sALL;

            ER_PutValuesInFontReq(freq,&font);

            done= ER_DoRequest((ER_RequestPtr)freq);

            if ( done )
            {
               printf("Font Name = %s\n",freq->Font.ta_Name);
               printf("Font Size = %d\n",freq->Font.ta_YSize);
            }

            ER_DeleteRequest((ER_RequestPtr)freq);
          }

          ER_DeleteReqContext(rCon);

      }else{myCleanExit( ERR_CONTEXT );}

      myCleanExit( NULL );
}



