#ifndef CLIB_EGS_ALPHABLIT_PROTOS_H
#define CLIB_EGS_ALPHABLIT_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : egsalphablit_protos.h
*  $ VERSION  : 1
*  $ REVISION : 1
*  $ DATE     : 19 Aug 1993 01:37
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/93 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGS_H
#include        <egs/egs.h>
#endif
#ifndef         EGS_EGSALPHABLIT_H
#include        <egs/egsalphablit.h>
#endif

VOID EA_Compose(EA_AlphaOpPtr alpha);

void EA_AndAlphaAlpha(E_EBitMapPtr src1,
                      E_EBitMapPtr src2,
                      E_EBitMapPtr dst,
                      WORD sx1,  WORD sy1,
                      WORD sx2,  WORD sy2,
                      WORD   w,  WORD   h,
                      WORD  dx,  WORD  dy);

void EA_OrAlphaAlpha(E_EBitMapPtr src1,
                      E_EBitMapPtr src2,
                      E_EBitMapPtr dst,
                      WORD sx1,  WORD sy1,
                      WORD sx2,  WORD sy2,
                      WORD   w,  WORD   h,
                      WORD  dx,  WORD  dy);

void EA_CopyAlpha(E_EBitMapPtr src,
                  E_EBitMapPtr dst,
                  WORD  sx,  WORD sy,
                  WORD   w,  WORD   h,
                  WORD  dx,  WORD  dy);


void EA_ApplyAlphaTable(E_EBitMapPtr src,
                        E_EBitMapPtr dst,
                        EA_AlphaTablePtr tab,
                        WORD sx,  WORD sy,
                        WORD   w,  WORD   h,
                        WORD  dx,  WORD  dy);

void EA_BuildAlphaRange(E_EBitMapPtr src,
                        E_EBitMapPtr dst,
                        ULONG  min,
                        ULONG  max,
                        UBYTE  in,  UBYTE out,
                        WORD   sx,  WORD   sy,
                        WORD   w,   WORD    h,
                        WORD   dx,  WORD   dy);


void EA_BuildAntiMaskMap4( E_EBitMapPtr src,
                           E_EBitMapPtr dst,
                           WORD   dx,  WORD   dy,
                           WORD   w,   WORD    h);

void EA_BuildAreaMask( E_EBitMapPtr src,
                       E_EBitMapPtr dst,
                       ULONG  min,
                       ULONG  max,
                       WORD   sx,  WORD   sy,
                       WORD   w,   WORD    h,
                       WORD   dx,  WORD   dy);

void EA_ScaleMap( E_EBitMapPtr src,
                  E_EBitMapPtr dst,
                  WORD   sx,  WORD   sy,
                  WORD   sw,  WORD   sh,
                  WORD   dx,  WORD   dy,
                  WORD   dw,  WORD   dh,
                  ULONG type);

E_EBitMapPtr EA_Translate2Dim( E_EBitMapPtr  src,
                               EA_Matrix2Ptr mat,
                               WORD   sx,  WORD   sy,
                               WORD   w,   WORD    h,
                               WORD   sample);


E_EBitMapPtr EA_RotateBitMap(E_EBitMapPtr src,
                             WORD   sx,  WORD   sy,
                             WORD   sw,  WORD   sh,
                             WORD   w,
                             ULONG  types);

#endif /* CLIB_EGS_ALPHABLIT_PROTOS_H */

