#ifndef CLIB_EGSGADBOX_PROTOS_H
#define CLIB_EGSGADBOX_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : egsgadbox_protos.h
*  $ VERSION  : 1
*  $ REVISION : 3
*  $ DATE     : 08-Dec-93 13:46
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSGFX_H
#include        <egs/egsgfx.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSINTUIGFX_H
#include        <egs/egsintuigfx.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif

APTR EB_AllocMemCon(EB_ContextPtr con, LONG size);
void EB_FreeMemCon(APTR mem);
void EB_AddFirstSon(EB_GadBoxPtr father, EB_GadBoxPtr son);
void EB_AddLastSon(EB_GadBoxPtr father, EB_GadBoxPtr son);
WORD EB_MIN(WORD a, WORD b);
WORD EB_MAX(WORD a, WORD b);
WORD EB_SWidth(char *str, EG_EFontPtr font);
WORD EB_SMatch(char *str, EG_EFontPtr font, WORD width);
WORD EB_CWidth(char c, EG_EFontPtr font);
EI_GadgetPtr EB_FindGadget(EI_GadgetPtr first, WORD num, LONG id);
EB_GadContext EB_CreateGadContext(EG_EFontPtr font, EG_EFontPtr tfont,
                                  LONG color, LONG back);

void EB_DeleteGadContext(EB_GadContext con);

EB_GadBoxPtr EB_CreateBox(EB_GadContext con, UBYTE orient, WORD minWidth,
                          WORD maxWidth, WORD minHeight, WORD maxHeight);

EB_GadBoxPtr EB_CreateLateBox(EB_GadContext con, APTR create, WORD minWidth,
                              WORD maxWidth, WORD minHeight, WORD maxHeight);

EB_GadBoxPtr EB_CreateResponseBox(EB_GadContext con, EB_ResBoxPtr response,
                                  WORD minWidth, WORD maxWidth,
                                  WORD minHeight, WORD maxHeight);

EB_GadBoxPtr EB_CreateInfoBox(EB_GadContext con, EB_InfoBoxPtr info,
                              EG_EFontPtr font, WORD minWidth,
                              WORD maxWidth, UBYTE justify);

void EB_WriteInfoBox(EB_InfoBoxPtr info, EI_WindowPtr win, char *str);
void EB_WriteInfoBoxInt(EB_InfoBoxPtr info, EI_WindowPtr win, LONG val);
EB_GadBoxPtr EB_CreateHorizBox(EB_GadContext con);
EB_GadBoxPtr EB_CreateVertiBox(EB_GadContext con);
EB_GadBoxPtr EB_CreateHorizTable(EB_GadContext con);
EB_GadBoxPtr EB_CreateVertiTable(EB_GadContext con);
EB_GadBoxPtr EB_CreateFillBox(EB_GadContext con, BYTE pri);
EB_GadBoxPtr EB_CreateHorizFill(EB_GadContext con, ULONG fill, BYTE pri);
EB_GadBoxPtr EB_CreateVertiFill(EB_GadContext con, ULONG fill, BYTE pri);
EB_GadBoxPtr EB_CreateBorder(EB_GadContext con, EB_GadBoxPtr around, UBYTE fill);



EB_GadBoxPtr EB_CreateText(EB_GadContext con, char *str);
EB_GadBoxPtr EB_CreateCenterText(EB_GadContext con, char *str);
EB_GadBoxPtr EB_CreateBackBorder(EB_GadContext con,
                                 EB_GadBoxPtr around, UBYTE fill);
EB_GadBoxPtr EB_CreateFrontBorder(EB_GadContext con,
                                  EB_GadBoxPtr around, UBYTE fill);

EB_GadBoxPtr EB_CreateButton24(EB_GadContext con, EB_GadBoxPtr around,
                               ULONG color, ULONG back, UBYTE fill);

EB_GadBoxPtr EB_CreateDoubleBorder(EB_GadContext con,
                                   EB_GadBoxPtr around, UBYTE fill);

EB_GadBoxPtr EB_CreateMultiText(EB_GadContext con, EB_StrArrayPtr lines);
EB_GadBoxPtr EB_CreateBoxedMultiText(EB_GadContext con, EB_StrArrayPtr lines);
EB_GadBoxPtr EB_CreateArrowGfx(EB_GadContext con, UBYTE dest);
EB_GadBoxPtr EB_NewPri(EB_GadBoxPtr box, BYTE pri);
EB_GadBoxPtr EB_NewMinHeight(EB_GadBoxPtr box, WORD height);
EB_GadBoxPtr EB_NewMinWidth(EB_GadBoxPtr box, WORD width);
EB_GadBoxPtr EB_NewMaxHeight(EB_GadBoxPtr box, WORD height);
EB_GadBoxPtr EB_NewMaxWidth(EB_GadBoxPtr box, WORD width);
EB_GadBoxPtr EB_NewFixHeight(EB_GadBoxPtr box);
EB_GadBoxPtr EB_NewFixWidth(EB_GadBoxPtr box);
EB_GadBoxPtr EB_CreateMaster(EB_GadContext con, LONG type, LONG id);
EB_GadBoxPtr EB_CreateActionGadget(EB_GadContext con,
                                  EB_GadBoxPtr with, LONG id);
EB_GadBoxPtr EB_CreateTextAction(EB_GadContext con, char *name,
                                               LONG id, UBYTE fill);
EB_GadBoxPtr EB_CreateBoolGadget(EB_GadContext con, EB_GadBoxPtr with, LONG id);
EB_GadBoxPtr EB_CreateTextBoolean(EB_GadContext con, char *name,
                                                LONG id, UBYTE fill);

EB_GadBoxPtr EB_CreateMultiAction(EB_GadContext con, EB_StrArrayPtr names,
                                  LONG ids, UBYTE fill);

EB_GadBoxPtr EB_CreateMultiActionV(EB_GadContext con, EB_StrArrayPtr names,
                                   LONG ids, UBYTE fill);

EB_GadBoxPtr EB_CreateMultiAction2(EB_GadContext con,
                                   EB_StrArray2Ptr names, LONG ids);

EB_GadBoxPtr EB_CreateArrow(EB_GadContext con, WORD dest, LONG id);

EB_GadBoxPtr EB_CreateHorizProp(EB_GadContext con, WORD maximum,
                                WORD size, WORD val, LONG id);

EB_GadBoxPtr EB_CreateVertiProp(EB_GadContext con, WORD maximum,
                                WORD size, WORD val, LONG id);

EB_GadBoxPtr EB_CreateSuperHorizProp(EB_GadContext con, WORD maximum,
                                     WORD size, WORD val,
                                     LONG id, UBYTE arrow);

EB_GadBoxPtr EB_CreateSuperVertiProp(EB_GadContext con, WORD maximum,
                                     WORD size, WORD val,
                                     LONG id, UBYTE arrow);

EB_GadBoxPtr EB_CreateStringGadget(EB_GadContext con, WORD minChar,
                                   WORD buffLen, UBYTE justify, LONG id);

EB_GadBoxPtr EB_CreateNameStringGadget(EB_GadContext con, char *name,
                                       WORD minChar, WORD buffLen,
                                       UBYTE justify, LONG id);

EB_GadBoxPtr EB_CreateIntegerGadget(EB_GadContext con, WORD minChar,
                                    WORD digits, LONG id);

EB_GadBoxPtr EB_CreateNameIntegerGadget(EB_GadContext con, char *name,
                                        WORD minChar, WORD digits, LONG id);

EB_GadBoxPtr EB_CreateRealGadget(EB_GadContext con, WORD minChar,
                                 WORD digits, LONG id);

EB_GadBoxPtr EB_CreateNameRealGadget(EB_GadContext con, char *name,
                                     WORD minChar, WORD digits, LONG id);

ULONG EB_LinkStringGadgets(EB_GadContext con, EB_GadBoxPtr from,
                           EB_GadBoxPtr to);

ULONG EB_LinkStringGadgetsID(EB_GadContext con, LONG from, LONG to,
                             EI_GadgetPtr first, WORD num);

void EB_GetStringData(EI_GadgetPtr gad, char *buff);
void EB_PutStringData(EI_WindowPtr win, EI_GadgetPtr gad, char *str);
void EB_PutIntData(EI_WindowPtr wi, EI_GadgetPtr gad, LONG val);

void EB_PutRealData(EI_WindowPtr wi, EI_GadgetPtr gad, double val,
                    WORD field, WORD digits, ULONG exp);

EB_GadBoxPtr EB_CreateWindow(EB_GadContext con, WORD left, WORD top);

EB_GadBoxPtr EB_CreateMasterWindow(EB_GadContext con, EI_WindowPtr win,
                                   EB_GadBoxPtr with);

ULONG EB_CalcMinMax(EB_GadBoxPtr box);
ULONG EB_CalcRealSize(EB_GadBoxPtr box);
ULONG EB_CalcPositions(EB_GadBoxPtr box, WORD x, WORD y);
ULONG EB_CalcGadgetGfx(EB_GadContext con, EB_GadBoxPtr box);
void EB_ConnectGadgets(EB_GadBoxPtr box, EI_GadgetPtr *first, WORD *num);
ULONG EB_ProcessGadBoxes(EB_GadContext con, EB_GadBoxPtr root);
EB_GadBoxPtr EB_NewSameSize(EB_GadBoxPtr box);
EB_GadBoxPtr EB_CreateButtonGadget(EB_GadContext con, LONG id);
EB_GadBoxPtr EB_CreateCheckMarkGadget(EB_GadContext con, LONG id);
BOOL EB_ProcessGadBoxesSize(EB_GadContext con, EB_GadBoxPtr root, WORD width,
                            WORD height);
EB_GadBoxPtr EB_CreateGroupBorder(EB_GadContext con,EB_GadBoxPtr around,
                                     LONG fill,char *name);

EB_GadBoxPtr EB_CreateDropGadget(EB_GadContext con,EB_GadBoxPtr with,
                                 EI_AcceptListPtr accept,ULONG  flags,LONG id);

EB_GadBoxPtr EB_CreateUText(EB_GadContext con,char *s,char c);

EB_GadBoxPtr EB_NewHotKey(EB_GadBoxPtr box,char key);
void EB_SetPropBackMap(EB_GadContext con,EI_WindowPtr win,
			  EI_PropGadPtr gad,E_EBitMapPtr map);

#endif  /* CLIB_EGSGADBOX_PROTOS_H */

