#ifndef CLIB_EGB_GBMULTISCROLLBOX_PROTOS_H
#define CLIB_EGB_GBMULTISCROLLBOX_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : gbmultiscrollbox_protos.h
*  $ VERSION  : 1
*  $ REVISION : 4
*  $ DATE     : 08-Dec-93 13:47
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif
#ifndef         EGS_EGB_GBMULTISELECTBOX_H
#include        <egs/egb/gbmultiscrollbox.h>
#endif


EB_GadBoxPtr EGB_CreateMultiScrollBox(EB_GadContext con,
                                          WORD          minWidth,
                                          WORD          maxWidth,
                                          WORD          minHeight,
                                          WORD          maxHeight,
                                          ULONG         flags,
                                          LONG          id);

void EGB_AddItemToMScrollBox(EI_WindowPtr win,
                            EGB_MultiScrollGadPtr gad,
                            EGB_SNodePtr   item);

void EGB_AddListToMScrollBox(EI_WindowPtr win,
                                 EGB_MultiScrollGadPtr gad,
                                 struct List *list);

void EGB_RemItemFromMScrollBox(EI_WindowPtr win,
                              EGB_MultiScrollGadPtr gad,
                              EGB_SNodePtr         item);

void EGB_UpdateMScrollBox(EI_WindowPtr win, EGB_MultiScrollGadPtr gad);

void EGB_RemListFromMScrollBox(EI_WindowPtr win, EGB_MultiScrollGadPtr gad,
                          struct List *list);

void EGB_NextMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);

void EGB_PrevMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);

void EGB_ActivateMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad,
                           EGB_SNodePtr elem);

void EGB_SetTopMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad,
                           EGB_SNodePtr elem);

void EGB_LinkStringToMScroll(EGB_MultiScrollGadPtr scroll,
                        char *string);

void EGB_MarkAllMElems(EI_WindowPtr win, EGB_MultiScrollGadPtr gad);
void EGB_UnmarkAllMElems(EI_WindowPtr win, EGB_MultiScrollGadPtr gad);
void EGB_ToggleAllMElems(EI_WindowPtr win, EGB_MultiScrollGadPtr gad);

void EGB_MarkMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad,
                           EGB_SNodePtr elem);

void EGB_UnmarkMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad,
                           EGB_SNodePtr elem);

void EGB_ToggleMElem(EI_WindowPtr win,EGB_MultiScrollGadPtr gad,
                           EGB_SNodePtr elem);

void EGB_ShiftMContentsLeft(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);
void EGB_ShiftMContentsRight(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);
void EGB_ShiftMContentsUp(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);
void EGB_ShiftMContentsDown(EI_WindowPtr win,EGB_MultiScrollGadPtr gad);


#endif /* CLIB_EGB_GBMULTISCROLLBOX_PROTOS_H */

