#ifndef CLIB_EGB_GBTEXTEDIT_PROTOS_H
#define CLIB_EGB_GBTEXTEDIT_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : gbTextEdit_protos.h
*  $ VERSION  : 1
*  $ REVISION : 2
*  $ DATE     : 08-Dec-93 13:47
*  $
*  $ Author   : mvk
*  $
*
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif
#ifndef         EGS_EGB_GBTEXTEDIT_H
#include        <egs/egb/gbtextedit.h>
#endif

EB_GadBoxPtr EGB_CreateFlowTextGadget(EB_GadContext con,
                       WORD            minW,
                       WORD            maxW,
                       WORD            minH,
                       WORD            maxH,
                       EG_EFontPtr      font,
                       WORD            bsize,
                       LONG            id);

void EGB_ModifyFlowTextGadget(EI_WindowPtr       win,
                              EGB_FlowTextGadPtr gad,
                              char              *text);

WORD EGB_GetFlowTextValue(EGB_FlowTextGadPtr  gad,
                          char               *buff,
                          WORD                len);

void EGB_SetFlowTextCursor(EI_WindowPtr        win,
                           EGB_FlowTextGadPtr  gad,
                           WORD                pos);

void EGB_ActivateFlowTextGadget(EI_WindowPtr       win,
                            EGB_FlowTextGadPtr  gad,
                            BOOL               force);

WORD EGB_GetFlowTextBlock(EGB_FlowTextGadPtr  gad,
			  char		     *buff,
			  WORD		      len);

#endif /* CLIB_EGB_GBTEXTEDIT_PROTOS_H */

