#ifndef CLIB_EGB_GBVIEW_PROTOS_H
#define CLIB_EGB_GBVIEW_PROTOS_H

/***************************************************************************\
*  $
*  $ FILE     : gbview_protos.h
*  $ VERSION  : 1
*  $ REVISION : 4
*  $ DATE     : 08-Dec-93 13:47
*  $
*  $ Author   : mvk
*  $
*
*  C prototypes
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif
#ifndef         EGS_EGB_GBVIEW_H
#include        <egs/egb/gbview.h>
#endif

EB_GadBoxPtr EGB_CreateViewGadget(EB_GadContext con,
				  WORD minW, WORD maxW,
				  WORD minH, WORD maxH,
				  ULONG flags, LONG id);

void EGB_ScrollViewGadget(EI_WindowPtr win,
			  EI_GadgetPtr gad, WORD dx, WORD dy);

void EGB_ModifyViewGadget(EI_WindowPtr     win,
			  EI_GadgetPtr     gad,
			  EGB_ViewInfoPtr  view,
			  WORD x, WORD y);

void EGB_ModifyBMViewGadget(EI_WindowPtr   win,
			    EI_GadgetPtr   gad,
			    E_EBitMapPtr   bm,
			    WORD x, WORD y);

void EGB_ModifyMaskViewGadget(EI_WindowPtr  win,
			      EI_GadgetPtr  gad,
			      E_EBitMapPtr  mask,
			      LONG front, LONG back,
			      WORD x, WORD y);


void EGB_UpdateViewRect(EI_WindowPtr win,
                        EGB_ViewGadPtr gad,
                        WORD   x,
                        WORD   y,
                        WORD   w,
                        WORD   h);

void EGB_ModifyBMZoomViewGadget(EI_WindowPtr win,
                                EGB_ViewGadPtr gad,
                                E_EBitMapPtr bm,
                                WORD   x,
                                WORD   y,
                                WORD   zoom);

#endif /* CLIB_EGB_GBVIEW_PROTOS_H */

