#ifndef EGS_EGB_GBMULTISCROLLBOX_H
#define EGS_EGB_GBMULTISCROLLBOX_H

/***************************************************************************\
*
*  $
*  $ FILE     : gbmultiscrollbox.h
*  $ VERSION  : 1
*  $ REVISION : 2
*  $ DATE     : 08-Dec-93 12:50
*  $
*  $ Author   : mvk
*  $
*
*****************************************************************************
*                                                                           *
* (c) Copyright 1990/94 VIONA Development                                   *
*     All Rights Reserved                                                   *
*                                                                           *
\***************************************************************************/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EGS_EGSINTUI_H
#include        <egs/egsintui.h>
#endif
#ifndef         EGS_EGSGADBOX_H
#include        <egs/egsgadbox.h>
#endif

#define EGB_SuperMScrType "SLCT"

/* MultiScrollBox Flags */

#define EGB_SORTLIST               0x00000001
#define EGB_SHOW_ACTUAL_ELM        0x00000002
#define EGB_HORIZONTAL_SCROLL      0x00000004
#define EGB_LEFT_ORIENTED          0x00000008
#define EGB_NOMULTISELECT          0x00000010
#define EGB_NOVERTIARROWS          0x00000020
#define EGB_NOHORIZARROWS          0x00000040

struct EGB_SNode {
       struct Node Node;
       BOOL        Selected;
};

typedef struct EGB_SNode *EGB_SNodePtr;

struct EGB_MultiScrollGadget {
    	  struct EI_MasterGadget Master;
       WORD                   PixWidth;
       WORD                   PixHeight;
       WORD                   Width;
       WORD                   Height;
       EB_SPropGadPtr         HScroller;
       EB_SPropGadPtr         VScroller;
       WORD                   LeftText;
       struct List            List;
       EGB_SNodePtr           ActText;
       EGB_SNodePtr           TopText;
       EG_EFontPtr            Font;
       EI_MasterGadPtr        SelGad;
       EI_GadgetPtr           Selects;
       EI_StringGadPtr        String;
       EB_ContextPtr          Con;
       ULONG                  Flags;
};

typedef struct EGB_MultiScrollGadget *EGB_MultiScrollGadPtr;

#endif /*EGS_EGB_GBMULTISCROLLBOX_H */

